import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';

import { ApplicationConfigService } from 'app/core/config/application-config.service';
import { ShoppingBasketInfo, ShoppingBasketRedirectInfoDTO } from 'app/shared/model/basket/shopping-basket-info.model';

/**
 provides infrastructure services for Plugins
 */
@Injectable({ providedIn: 'root' })
export class PluginService {
  public resourcePluginRedirectService = this.applicationConfigService.getEndpointFor('/api/pluginIF/getPluginRedirectInfos');

  constructor(protected http: HttpClient, private applicationConfigService: ApplicationConfigService) {}

  public getRedirectLink(basketInfo: ShoppingBasketInfo ): Observable<ShoppingBasketRedirectInfoDTO> {
    return this.http.post<ShoppingBasketRedirectInfoDTO>(this.resourcePluginRedirectService, basketInfo);
  }

}

